<div class="main-container">
  <div class="contacts-wrapper">
    <div class="contacts-info-block">
      <h4 class="contacts-title">ООО Аэлита</h4>
      <div class="contacts-link-box">
        <app-mail></app-mail>
        <a href="mailto:4308258@mail.ru">4308258@mail.ru</a>
      </div>
      <div class="contacts-link-box">
        <app-phone></app-phone>
        <a href="tel:+79281389187">+79281389187</a>
      </div>
      <div class="contacts-link-box">
        <app-phone></app-phone>
        <a href="tel:+7(86365)79817">+7(86365)79817</a>
      </div>
      <div class="contacts-link-box">
        <app-location></app-location>
        <div class="top-header-phone">Ростовская область, г. Каменск-Шахтинский, ул. Горького, д. 82б</div>
      </div>
      <div class="contacts-link-box time-box">
        <app-clock></app-clock>
        <div class="top-header-phone">пн, ср, пт – 9.00 - 13.30; <br> вт, чт – 9.00 - 19.00; <br> суб – 9.00 - 13.00;
          <br> вск – выходной
        </div>
      </div>
      <form [formGroup]="form" (ngSubmit)="sendMessage()" class="contact-form">
        <div class="form-control">
          <label class="form-label" for="name"></label>
          <input formControlName="name" class="form-input" placeholder="Имя" id="name" type="text">
        </div>
        <div
          *ngIf="form.controls['name'].invalid && (form.controls['name'].dirty || form.controls['name'].touched)"
          class="alert">
          <div *ngIf="form.controls['name'].errors?.['required']">
            Введите имя
          </div>
        </div>
        <div class="form-control">
          <label class="form-label" for="email"></label>
          <input formControlName="email" class="form-input" placeholder="Email" id="email" type="text">
        </div>
        <div
          *ngIf="form.controls['email'].invalid && (form.controls['email'].dirty || form.controls['email'].touched)"
          class="alert">
          <div *ngIf="form.controls['email'].errors?.['required']">
            Введите адрес электронной почты
          </div>
        </div>
        <div class="form-control">
          <label class="form-label" for="message"></label>
          <textarea formControlName="message" placeholder="Оставьте сообщение" class="form-input" name="message" id="message"
                    rows="10"></textarea>
        </div>
        <div
          *ngIf="form.controls['message'].invalid && (form.controls['message'].dirty || form.controls['message'].touched)"
          class="alert">
          <div *ngIf="form.controls['message'].errors?.['required']">
            Введите сообщение
          </div>
        </div>
        <div class="form-group">
          <label
            class="box-text" for="agreement">Подтверждаю, что ознакомился с <span class="policy" (click)="openPolicy()">Политикой обработки персональных данных</span></label>
          <input formControlName="checkInput" type="checkbox" id="agreement">
        </div>
        <button [class.disabled]="form.invalid" class="primary-button">Отправить</button>
      </form>
    </div>
    <div class="contacts-map">
      <iframe
        src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d10611.187708279436!2d40.2739284!3d48.3259856!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0x453ef787583cb561!2z0JDRjdC70LjRgtCw!5e0!3m2!1sru!2see!4v1665860541529!5m2!1sru!2see"
        width="100%" height="400" style="border:0;" allowfullscreen="" loading="lazy"
        referrerpolicy="no-referrer-when-downgrade"></iframe>
    </div>
  </div>
</div>
